curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows/{workflow_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_type": "string",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"current_phase": "string",
"routing_mode": "string",
"duration_ms": 8,
"started_at": "2026-08-31T14:22:05Z",
"completed_at": "2026-08-31T14:22:05Z",
"tags": [
"priority"
],
"escalation_categories": [
"string"
],
"function_calls_executed": 1,
"response_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"review_timed_out": true,
"cancelled": false
}
Get brand workflow run
Full diagnostic detail for one run. workflow_id may be the Temporal workflow id or the execution-record UUID.
GET
/
v1
/
brands
/
{brand_id}
/
workflows
/
{workflow_id}
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows/{workflow_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_type": "string",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"current_phase": "string",
"routing_mode": "string",
"duration_ms": 8,
"started_at": "2026-08-31T14:22:05Z",
"completed_at": "2026-08-31T14:22:05Z",
"tags": [
"priority"
],
"escalation_categories": [
"string"
],
"function_calls_executed": 1,
"response_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"review_timed_out": true,
"cancelled": false
}
Path parameters
string (uuid)
required
string (string)
required
Response
object
string (uuid)
required
string (uuid)
required
string
required
string
string
string
required
string
string
integer
string (date-time)
required
string (date-time)
string[]
required
Carries
skip_reason:<rule> when the run was skippedstring[]
required
integer
required
string
boolean
required
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Full diagnostic detail for one run. workflow_id may be the Temporal workflow id or the execution-record UUID. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows/{workflow_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_type": "string",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"current_phase": "string",
"routing_mode": "string",
"duration_ms": 8,
"started_at": "2026-08-31T14:22:05Z",
"completed_at": "2026-08-31T14:22:05Z",
"tags": [
"priority"
],
"escalation_categories": [
"string"
],
"function_calls_executed": 1,
"response_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"review_timed_out": true,
"cancelled": false
}
Last modified on August 31, 2026